﻿<%@ page language="C#" autoeventwireup="true" inherits="Rotte_start, App_Web_flukszo9" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml">
<head id="Head1" runat="server">
    <link rel="SHORTCUT ICON" href="Images/GEIcon.ico" />
    <title>GeoEnviron WEB - Rottebekæmpelse</title>
    <link rel="stylesheet" type="text/css" href="StyleSheet.css" />
 
    <script type="text/javascript" language="javascript" src="JScript/JScriptMain_v251.js"></script>
    <script type="text/javascript" language="javascript" src="JScript/JScriptWindowMove_v243.js"></script>
    <script type="text/javascript" language="javascript" src="JScript/JScriptCampaignCallBack_v270.js"></script>

    <script type="text/javascript">

    function ReplaceDivTag(html, divTagId, replaceString)
    {
        var indexDivTagId = html.indexOf(divTagId);
        var indexBegin = html.lastIndexOf('<', indexDivTagId);
        var indexEnd = html.indexOf('>', indexDivTagId) + 1;
        var divTagToRemove = html.substring(indexBegin, indexEnd);

        return html.replace(divTagToRemove, replaceString);
    }
      
    function Print(html)
    {
        html = html.replace(/<A/g, '<A style="text-decoration:none;color: black;"');

        html = ReplaceDivTag(html, 'div_maxHeightBorder', '<div>');

        var htmlBegin = '<html><head><link rel="stylesheet" type="text/css" href="StyleSheet.css" /></head><body>';
        var htmlEnd = '</body></html>';

        var begin = '<div style="font-family:verdana; font-size:7pt; text-decoration:none; color:black" >';
        var end = '<\/div>';
        var WinPrint = window.open('','','left=0,top=0,width=800,height=300,toolbar=0,scrollbars=yes,status=0');
        
        if((navigator.userAgent.indexOf('MSIE') > -1) || (navigator.userAgent.indexOf('Firefox') > -1))
        {
            WinPrint.document.write(htmlBegin + begin + html + end + htmlEnd);
            WinPrint.document.close();
            WinPrint.focus();
            WinPrint.print();
            WinPrint.close();
        }
        else
        {
            //Simple print if browser not IE or FF. 
            var button = '<input type="button" value="Udskriv liste" onclick="javascript:window.print(); window.close();" />';
            WinPrint.document.write(htmlBegin + button + begin + html + end + htmlEnd);
        }
    }

    var mapWin;

    function DisplaySelectedOnMap(mapOption)
    {
        if ((mapWin != null) && (!mapWin.closed))
        {
            if (!confirm('Kortvinduet er allerede åbent!\nLuk vinduet og fortsæt?'))
            {
                return;
            }

            mapWin.close();
        }

        var bufferZoneMeter = document.getElementById('TextBox_BufferZoneMeter').value;

        if (!IsInteger(bufferZoneMeter))
        {
            alert('Bufferzone skal være et helt antal meter!');
            return;
        }

        var arguments = mapOption + '\t' + bufferZoneMeter;
        
        //Test at adresser er fremsøgt!

        GetMap(arguments);
    }
   
    function SaveCampaign(orderBy) 
    {
        if(!DateOK(document.getElementById('TextBox_Date').value))
        {
            return;
        }
        
        var camp_seq_no     = document.getElementById('div_camp_seq_no').value;
        var site_seq_no     = document.getElementById('div_site_seq_no').value;
        var visit_date      = document.getElementById('TextBox_Date').value;
        var init            = document.getElementById('TextBox_Init').value;
        var visit_outcome   = document.getElementById('DropDownList_VisitOutcome').value;
        var comments        = document.getElementById('TextBox_Comments').value;

        if(camp_seq_no == '' || camp_seq_no == null)
        {
            GetCreateCampaign(site_seq_no + '\t' + visit_date + '\t' + init + '\t' + visit_outcome + '\t' + comments + '\t' + GetListParm(orderBy));
        }
        else
        {
            GetUpdateCampaign(camp_seq_no + '\t' + visit_date + '\t' + init + '\t' + visit_outcome + '\t' + comments + '\t' + GetListParm(orderBy));
        }
    }

    function windowopen()
    {
        var open = false;

        if (document.getElementById('div_kampagne_box').style.display == 'block')
        {
            open = true;
        }

        if (document.getElementById('div_quickInspection').style.display == 'block')
        {
            open = true;
        }

        if (open)
        {
            alert('Et vindue er åbent!\nLuk vinduet og klik igen.');
            return true;
        }

        return false;
    }

    function CloseWindow(winId)
    {
        document.getElementById(winId).style.display = 'none';
        DisableDivElements(document.getElementById('div_main'), false);
    }

    function CloseAllWindows()
    {
        document.getElementById('div_kampagne_box').style.display = 'none';
        document.getElementById('div_quickInspection').style.display = 'none';

        DisableDivElements(document.getElementById('div_main'), false);
    }
    
    function GetListParm(orderBy)
    {
        var year        = document.getElementById('TextBox_Year').value;
        var campaign    = document.getElementById('DropDownList_Campaign').value;
        var period      = document.getElementById('DropDownList_Period').value;
        var address     = document.getElementById('TextBox_Address').value;
        var postalCode  = document.getElementById('TextBox_Zip').value;
        var town        = document.getElementById('TextBox_Town').value;
        
        return year + '\t' + campaign + '\t' + period + '\t' + address + '\t' + postalCode + '\t' + town + '\t' + orderBy;
    }

    function OnLoad()
    {
        try
        {
            document.getElementById('TextBox_Year').focus();
        }
        catch(err)
        {
            //DO NOTHING
        }     
    }

    function getMyDate()
    {
        var d = new Date();
        var day = d.getDate();
        
        if(day < 10)
        {
            day = "0" + day; 
        }
        
        return day;
    }
    
    function getMyMonth()
    {
        var d = new Date();
        var month = d.getMonth() + 1;
        
        if(month < 10)
        {
            month = "0" + month;
        }
        
        return month;
    }

    function ResetSearch()
    {
        var myDate = new Date();
        var ctrlYear = document.getElementById('TextBox_Year');
        ctrlYear.value = myDate.getFullYear();
        
        if(myDate.getMonth() < 6)
        {
            document.getElementById('DropDownList_Period').value = 'Forår';
        } 
        else
        {
            document.getElementById('DropDownList_Period').value = 'Efterår';
        }
        
        ctrlYear.focus();    
        
        document.getElementById('DropDownList_Campaign').selectedIndex = 1;
        document.getElementById('TextBox_Address').value = '';
        document.getElementById('TextBox_Zip').value = '';
        document.getElementById('TextBox_Town').value = '';
        document.getElementById('div_liste_box').style.display = 'none';
        
        OnLoad();
    }

    function SaveQuickInspection()
    {
        var inspec_date     = document.getElementById('TextBox_InspecDate').value;
        var init            = document.getElementById('TextBox_InspecInit').value;
        var nobody_home     = document.getElementById('DropDownList_InspecNobodyHome').value;
        var site_type_id    = document.getElementById('DropDownList_InspecSiteType').value;
        var infect_type_id  = document.getElementById('DropDownList_InspecInfectType').value;
        var sewer_defect    = document.getElementById('DropDownList_InspecSewerDefect').value;

        var combat_type_id  = document.getElementById('DropDownList_CombatType').value;
        var amount          = document.getElementById('TextBox_CombatAmount').value;
        var type_trap       = document.getElementById('DropDownList_CombatTypeTrap').value;

        var exam_type_id    = document.getElementById('DropDownList_ExamType').value;

        var closed = '0';
        if (document.getElementById('Checkbox_ReportClosed').checked) { closed = '1'; }

        if (!DateOK(inspec_date))
        {
            return;
        }

        if (!IsDouble(amount))
        {
            alert('Mængde skal være et tal med , (komma) som decimaltegn\nFx. 10,12');
            return;
        }

        var parms = inspec_date + '\t' + init + '\t' + nobody_home + '\t' + site_type_id + '\t' + infect_type_id + '\t' + sewer_defect + '\t' + combat_type_id + '\t' + amount + '\t' + type_trap + '\t' + exam_type_id + '\t' + closed;

        GetSaveQuickInspection(parms);
    }
    
  </script>

</head>

<body onload="OnLoad()" onmousemove="Body_OnMouseMove(event)" onmouseup="Body_OnMouseUp()" onkeydown="OnKeyDown(event)">
    <form id="form1" runat="server" class="labelHead"> 

    <div id="div_wait" style="display:none; position: absolute; z-index: 2; left:0px; top:0px;"><img src="Images/wait3.gif" alt="" /></div>

    <div style="width:652px; height:123px; font-family:Verdana; font-size:8pt; background-image:url(Images/rotte.jpg);">
        <a href="Rotte_start.aspx" style="float:right; margin-top: 84px; font-size: 8pt; color: white; font-family: Verdana; text-align: right; margin-right: 4px; text-decoration:underline;">Start</a>
        <a id="div_progVers" runat="server" href="Version.txt" target="_blank" style="clear:both; float:right; margin-top: 1px; font-size: 8pt; color: white; font-family: Verdana; text-align: right; margin-right: 4px; text-decoration:none;">Ver. x.x.x</a>
    </div>
 
    <div id="div_main" class="backgroundColor" style="width:631px; border-right: gray 1px solid; border-left: gray 1px solid; border-bottom: gray 1px solid; padding-right: 9px; padding-left: 10px; padding-bottom: 6px; padding-top: 3px;">
    <!-- main start -->     
      
        <div style="float:left; width:8px; margin-top:6px; border-top: black 1px solid; border-left: black 1px solid; height: 6px; "></div>
        <div style=" float:left; width:112px; padding-left: 2px;" >Søgning kampagne</div>
        <div style="float:left; width:506px; border-right: black 1px solid; border-top: black 1px solid; margin-top: 6px; height: 6px;"></div>
        <br style="clear:both;" />
    
        <div style="width:618px; border-right: black 1px solid; border-left: black 1px solid; border-bottom: black 1px solid; padding-left: 10px; padding-bottom: 10px; padding-top: 4px; margin-bottom: 4px;">         
             
            <div style="float:left; width:54px; padding-top:4px; height: 17px;">
                Årstal:
            </div>
            <div style="float:left; width:50px; padding-top:1px;">
               <asp:TextBox ID="TextBox_Year" runat="server" CssClass="textBox" style="width:30px;" MaxLength="4"></asp:TextBox>
            </div>
            <div style="float:left; width:110px; padding-top:4px; height:17px">
               Kampagne udført:
            </div>
            <div style="float:left; width:75px; padding-top:1px; height:20px">
                <asp:DropDownList ID="DropDownList_Campaign" runat="server" CssClass="dropDownList" style="width:50px">
                    <asp:ListItem Value="1">Ja</asp:ListItem>
                    <asp:ListItem Value="0" Selected="True">Nej</asp:ListItem>
                </asp:DropDownList>
            </div>
            <div style="float:left; width:105px; padding-top:4px; height:17px;">
                Adgangsadresse:
            </div>
            <div style="float:left; width:219px; padding-top:1px; height:20px;">
               <asp:TextBox ID="TextBox_Address" runat="server" CssClass="textBox" style="width:209px;"></asp:TextBox>
            </div>
            
            <div style="clear:both; float:left; width:54px; padding-top:4px; height:17px">
               Periode:
            </div>
            <div style="float:left; width:235px; padding-top:1px; height:20px">
               <asp:DropDownList ID="DropDownList_Period" runat="server" CssClass="dropDownList" style="width:210px">
                   <asp:ListItem Value="Forår">Forår 01.01-30.06</asp:ListItem>
                   <asp:ListItem Value="Efterår" Selected="True">Efterår 01.07-31.12</asp:ListItem>
               </asp:DropDownList>
            </div>
            <div style="float:left; width:105px; padding-top:4px; height:17px;">
                Postnr/By:
            </div>
            <div style="float:left; width:38px; padding-top:1px; height:20px;">
                <asp:TextBox ID="TextBox_Zip" runat="server" CssClass="textBox" style="width:30px;" MaxLength="4"></asp:TextBox>
            </div>
            <div style="float:left; width:181px; padding-top:1px; height:20px;">
                <asp:TextBox ID="TextBox_Town" runat="server" CssClass="textBox" style="width:171px;"></asp:TextBox>
            </div>
            <br style="clear:both;" />

            <div style="float:right; height:21px; padding-right:10px; padding-top:4px;">             
                <button class="button" type="submit" onclick="GetList('COALESCE(road_codes.road_name_1, site.site_address), site.house_no_1, site.house_no_2');return false">Hent</button>
                <button class="button" type="button" onclick="ResetSearch()">Nulstil</button>
            </div>
            <br style="clear:both"/> 
        
        </div>

        <div id="div_liste_box" runat="server" style="display:none">
  
            <div style="float:left; width:8px; margin-top:6px; border-top: black 1px solid; border-left: black 1px solid; height: 6px; "></div>
            <div id="div_overskrift" style="float:left; width:116px; padding-left: 2px;" class="labelHead">Adresser i landzone</div>
            <div style="float:left; width:502px; border-right: black 1px solid; border-top: black 1px solid; margin-top: 6px; height: 6px;"></div>
            <br style="clear:both;" />

            <div style="width:618px; border-right: black 1px solid; border-left: black 1px solid; border-bottom: black 1px solid; padding-left: 10px; padding-bottom: 10px; padding-top: 4px; margin-bottom: 4px;">
                <div runat="server" id="div_adresser" style="max-height:196px; overflow:auto"></div>
            </div>
      
            <div style="float:right; height:21px; padding-bottom:2px;">

                <div id="div_Button_DisplayMap" runat="server" style="float:left; display:block;">
                
                    <div style="float:left; width:70px; padding-top:4px; height:17px;">
                        Bufferzone:
                    </div>
                    <div style="float:left; width:38px; padding-top:1px; height:20px;">
                        <asp:TextBox ID="TextBox_BufferZoneMeter" runat="server" CssClass="textBoxRight" style="width:30px;" MaxLength="4">100</asp:TextBox>
                    </div>
                    <div style="float:left; width:16px; padding-top:4px; height:17px;">
                        m
                    </div>
                    <div style="float:left;">
                        <input id="Button_DisplayMap" type="button" value="Vis på kort" onclick="DisplaySelectedOnMap('campaign')" class="button" />
                    </div>
                    <br style="clear:both;" />
                    
                </div>
                <div style="float:left;">
                    <input id="Button6" type="button" value="Udskriv liste" onclick="Print(document.getElementById('div_adresser').innerHTML)" class="button" />
                </div>
                <br style="clear:both;" />
                
            </div>
            <br style="clear:both"/> 

        </div>

        <div id="div_camp_seq_no" style="display:none"></div>
        <div id="div_site_seq_no" style="display:none"></div>

    <!-- main end -->
    </div>

    <!-- Dialog - Kampagne -->

    <div id="div_kampagne_box" style="border: 3px solid #bcd753; display:none; background-color:#bcd753; position:absolute; top:193px; left:104px; z-index: 1; width: 439px; right: 332px;">
  
        <div style="height: 17px;">
            <div style="float:left; height:17px ;width: 15px; z-index:1; background-color:#bcd753"><img src="Images/GEjpg.JPG" alt="" /></div>
            <div style="font-weight:bold; background-color:#bcd753; color:White; height:17px; width:415px; float:left" onmousedown="HelpBox_OnMouseDown(event,'div_kampagne_box')">&nbsp;Kampagne</div>
            <div style="font-weight:bold; height:17px; color:White; background-color:#bcd753; float:left" onclick="CloseWindow('div_kampagne_box')" onmouseover="this.style.cursor='pointer'">X</div>
        </div>

        <div class="backgroundColor" style="border: 1px solid gray; padding: 8px 9px 8px 10px; width:418px; ">

            <div style="width:0px;height:0px;overflow:hidden;" id="div_site_seq_no1"></div>
            <div style="float:left;width:82px; height: 17px; padding-top:4px;" class="labelReadOnly">
                Adg. Adresse:
            </div>
            <div style="float:left;width:206px; height:19px; padding-top:2px;">
                <asp:TextBox ID="TextBox_Adgangsadresse" runat="server" CssClass="textBoxReadOnly" Width="200px" BackColor="#D8E4F8" BorderStyle="None" ReadOnly="True" TabIndex="100"></asp:TextBox>
            </div>
            <div style="float:left;width:35px; height:17px; padding-top:4px;" class="label">
                Dato:
            </div>
            <div style="float:left;width:95px; height:20px; padding-top:1px;">
                <asp:TextBox ID="TextBox_Date" runat="server" CssClass="textBox" Width="90px" BackColor="#E0ECFF" TabIndex="104" onchange="IntelligentDate(this)"></asp:TextBox>
            </div>
            <br style="clear:both" />
            
            <div style="float:left;width:82px; height:17px; padding-top:4px;" class="labelReadOnly">
                Ejd. Adresse:
            </div>
            <div style="float:left;width:206px; height:19px; padding-top:2px;">
                <asp:TextBox ID="TextBox_Ejendomsadresse" runat="server" CssClass="textBoxReadOnly" Width="200px" BackColor="#D8E4F8" BorderStyle="None" ReadOnly="True" TabIndex="101"></asp:TextBox>
            </div>
            <div style="float:left;width:35px; height:17px; padding-top:4px;" class="label">
                Init:
            </div>
            <div style="float:left;width:95px; height:20px; padding-top:1px;">
                <asp:TextBox ID="TextBox_Init" runat="server" CssClass="textBox" Width="90px" BackColor="#E0ECFF" TabIndex="105"></asp:TextBox>
            </div>
            <br style="clear:both" />
            
            <div style="float:left;width:82px; height:17px; padding-top:4px;" class="labelReadOnly">
                Postnr/By:
            </div>
            <div style="float:left;width:206px; height:19px; padding-top:2px;">
                <asp:TextBox ID="TextBox_PostalCodesId" runat="server" CssClass="textBoxReadOnly" Width="30px" BackColor="#D8E4F8" BorderStyle="None" ReadOnly="True" TabIndex="102"></asp:TextBox>
                <asp:TextBox ID="TextBox_PostalCodesName" runat="server" CssClass="textBoxReadOnly" Width="165px" BackColor="#D8E4F8" BorderStyle="None" ReadOnly="True" TabIndex="103"></asp:TextBox>
            </div>
            <br style="clear:both" />
            
            <div style="float:left;width:82px; height:17px; padding-top:4px;" class="label">
                Resultat:
            </div>
            <div style="float:left;width:336px; height:20px; padding-top:1px;">
                <asp:DropDownList ID="DropDownList_VisitOutcome" runat="server" Width="335px" BackColor="#E0ECFF" CssClass="dropDownList" TabIndex="106">
                    <asp:ListItem Value="0">Ingen hjemme, besøgskort afleveret</asp:ListItem>
                    <asp:ListItem Value="1">Hjemme, ingen rotter</asp:ListItem>
                    <asp:ListItem Value="2">Hjemme, rottetilhold</asp:ListItem>
                </asp:DropDownList>
            </div>
            <br style="clear:both" />
            
            <div style="float:left;width:82px; height:17px; padding-top:4px;" class="label">
                Bemærkning:
            </div>
            <div style="float:left;width:336px; padding-top:1px;">
                <asp:TextBox ID="TextBox_Comments" runat="server" CssClass="textBox" Width="331px" Height="77px" TextMode="MultiLine" BackColor="#E0ECFF" TabIndex="107"></asp:TextBox>
            </div>
            <br style="clear:both" />
            
            <div style="float:right; height:21px; padding-top:5px;">
                <button id="Button5" type="button" onclick="SaveCampaign('')" class="button" tabindex="108" >Gem</button>
                <button id="Annuller" type="button" onclick="CloseWindow('div_kampagne_box')" class="button" tabindex="109">Annuller</button>
            </div>
            <br style="clear:both" />

        </div>

    </div>

    <!-- Dialog - Kvik besøg -->

    <div id="div_quickInspection" style="border: 3px solid #bcd753; display:none; background-color:#bcd753; z-index:1; position:absolute; top:193px; left:37px; width:572px;">
        
        <div style="height: 17px;">
            <div style="float:left; height:17px; width:15px; z-index:1; background-color:#bcd753;"><img src="Images/GEjpg.JPG" alt="" /></div>
            <div style="font-weight:bold; background-color:#bcd753; color:White; height:17px; width:547px; float:left" onmousedown="HelpBox_OnMouseDown(event,'div_quickInspection')">&nbsp;Kvik besøg</div>
            <div style="font-weight:bold; height:17px; color:White; background-color:#bcd753; float:left" onclick="CloseWindow('div_quickInspection');" onmouseover="this.style.cursor='pointer'">X</div>
        </div>      
        
        <div class="backgroundColor" style="width:551px; border-right: gray 1px solid; border-left: gray 1px solid; border-bottom: gray 1px solid;  border-top: gray 1px solid; padding-right: 9px; padding-left: 10px; padding-bottom: 8px; padding-top: 8px;">

            <div style="float:left; width:60px; padding-top:4px; height:17px" class="label">
                Dato:
            </div>
            <div style="float:left; width:150px; height:20px; padding-top:1px;">
                <asp:TextBox ID="TextBox_InspecDate" runat="server" CssClass="textBox" Width="70px" BackColor="#E0ECFF" MaxLength="10" onchange="IntelligentDate(this)"></asp:TextBox>
            </div>
            <div style="float:left; width:28px; padding-top:4px; height:17px" class="label">
                Init:
            </div>
            <div style="float:left; width:88px; height:20px; padding-top:1px;">
                <asp:TextBox ID="TextBox_InspecInit" runat="server" CssClass="textBox" Width="54px" BackColor="#E0ECFF" MaxLength="6"></asp:TextBox>
            </div>
            <div style="float:left; width:84px; padding-top:4px; height:17px;" class="label">
                Hjemme:
            </div>
            <div style="float:left; width:51px; height:20px; padding-top:1px;">
                <asp:DropDownList ID="DropDownList_InspecNobodyHome" runat="server" CssClass="dropDownList" Width="50px">
                    <asp:ListItem Value="1" Selected="True">Ja</asp:ListItem>
                    <asp:ListItem Value="0">Nej</asp:ListItem>
                </asp:DropDownList>
            </div>
            <br style="clear:both;" />
                    
            <div style="float:left; width:60px; padding-top:4px; height:17px" class="label">
                Lokalitet:
            </div>
            <div style="float:left; width:266px; height:20px; padding-top:1px;">
                <asp:DropDownList ID="DropDownList_InspecSiteType" runat="server" CssClass="dropDownList" Width="236px"></asp:DropDownList>
            </div>
            <div style="float:left; width:84px; padding-top:4px; height:17px" class="label">
                Kloak defekt:
            </div>
            <div style="float:left; width:141px; height:20px; padding-top:1px;">
                <asp:DropDownList ID="DropDownList_InspecSewerDefect" runat="server" width="140px" CssClass="dropDownList">
                    <asp:ListItem Value="U">?</asp:ListItem>
                    <asp:ListItem Value="I">Ikke undersøgt</asp:ListItem>
                    <asp:ListItem Value="N">Nej</asp:ListItem>
                    <asp:ListItem Value="P">Ja, Privat</asp:ListItem>
                    <asp:ListItem Value="O">Ja, Offentlig</asp:ListItem>
                    <asp:ListItem Value="B">Ja, Privat & Offentlig</asp:ListItem>                    
                </asp:DropDownList>
            </div>
            <br style="clear:both;" />

            <div style="float:left; width:60px; padding-top:4px; height:17px" class="label">
                Befængt:
            </div>
            <div style="float:left; width:266px; height:20px; padding-top:1px;">
                <asp:DropDownList ID="DropDownList_InspecInfectType" runat="server" width="236px" CssClass="dropDownList"></asp:DropDownList>
            </div>
            <br style="clear:both;" />

            <div style="float:left; width:126px; height: 17px; padding-top:24px;" class="label">
                Bekæmpelsesmiddel:
            </div>
            <div style="float:left; width:200px; height:20px; padding-top:21px;">
                <asp:DropDownList ID="DropDownList_CombatType" runat="server" CssClass="dropDownList" Width="170px"></asp:DropDownList>
            </div>
            <div style="float:left; width:60px; height: 17px; padding-top:24px;" class="label">
                Mængde:
            </div>
            <div style="float:left; width:54px; height:20px; padding-top:21px;">
                <asp:TextBox ID="TextBox_CombatAmount" runat="server" CssClass="textBox" Width="44px" BackColor="#E0ECFF" MaxLength="10"></asp:TextBox>
            </div>
            <div style="float:left; width:20px; height: 17px; padding-top:24px;" class="label">
                kg.
            </div>
            <br style="clear:both" />

            <div class="label" style="float:left; width:126px; height: 17px; padding-top:4px;">
                Fældetype:
            </div>
            <div style="float:left; width:200px; height:20px; padding-top:1px;">
                <asp:DropDownList ID="DropDownList_CombatTypeTrap" runat="server" CssClass="dropDownList" Width="170px"></asp:DropDownList>
            </div>
            <br style="clear:both" />

            <div class="label" style="float:left; width:126px; height: 17px; padding-top:24px;">
                Undersøgelse:
            </div>
            <div style="float:left; width:200px; height:20px; padding-top:21px;">
                <asp:DropDownList ID="DropDownList_ExamType" runat="server" CssClass="dropDownList" Width="170px"></asp:DropDownList>
            </div>
            <br style="clear:both" />

            <div style="float:left; padding-top:21px;">
                <input id="Checkbox_ReportClosed" type="checkbox" />
            </div>
            <div style="float:left; padding-top:24px; height:17px" class="label">
                Afslut anmeldelsen
            </div>
            <div style="float:right; height:21px; padding-top:20px;">
                <button id="Button_SaveQuickInspection" class="button" type="button" onclick="SaveQuickInspection()">Gem</button>
                <button id="Button_CancelQuickInspection" class="button" type="button" onclick="CloseWindow('div_quickInspection');">Annullér</button>
            </div>
            <br style="clear:both;" />
            
       </div>

    </div>

  </form>
  
  </body>
</html>

