﻿<%@ page language="C#" autoeventwireup="true" inherits="Kampagne2, App_Web_9oltcor6" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml">
<head id="Head1" runat="server">
    <link rel="SHORTCUT ICON" href="Images/GEIcon.ico" />
    <title>GeoEnviron WEB - Rottebekæmpelse</title>
    <link rel="stylesheet" type="text/css" href="StyleSheet.css" />
 
    <script type="text/javascript" language="javascript" src="JScript/JScriptMain_v251.js"></script>
    <script type="text/javascript" language="javascript" src="JScript/JScriptWindowMove_v243.js"></script>
    <script type="text/javascript" language="javascript" src="JScript/JScriptCampaign2CallBack_v310.js"></script>

    <script type="text/javascript">

    function ShowInfo(obj, text)
    {
        var parentLeftTop = findPos(obj);
        var boxLeft = parentLeftTop[0] + parseInt(obj.style.width, 10) + 2;
        var boxTop = parentLeftTop[1] - obj.parentNode.parentNode.parentNode.parentNode.scrollTop - 2;

        var box = document.getElementById('div_infoBox');
        box.style.left = boxLeft + 'px';
        box.style.top = boxTop + 'px';
        box.innerHTML = 'Seneste besøg:<br /><table cellspacing="4" border="0"><tr><th style="text-align:left">Dato</th><th style="text-align:left">Type</th><th style="text-align:left">Rotter</th></tr>' + text + '</table>';
        box.style.display = 'block';
    }

    function HideInfo()
    {
        document.getElementById('div_infoBox').style.display = 'none';
    }

    function ShowInfoSikring(obj, text)
    {
        var parentLeftTop = findPos(obj);
        var boxLeft = parentLeftTop[0] + parseInt(obj.style.width, 10) + 2;
        var boxTop = parentLeftTop[1] - obj.parentNode.parentNode.parentNode.parentNode.scrollTop - 2;

        var box = document.getElementById('div_infoBoxSikring');
        box.style.left = boxLeft + 'px';
        box.style.top = boxTop + 'px';
        box.innerHTML = text;
        box.style.display = 'block';
    }

    function HideInfoSikring()
    {
        document.getElementById('div_infoBoxSikring').style.display = 'none';
    }

    function ReplaceDivTag(html, divTagId, replaceString)
    {
        var indexDivTagId = html.indexOf(divTagId);
        var indexBegin = html.lastIndexOf('<', indexDivTagId);
        var indexEnd = html.indexOf('>', indexDivTagId) + 1;
        var divTagToRemove = html.substring(indexBegin, indexEnd);

        return html.replace(divTagToRemove, replaceString);
    }
      
    function Print(html)
    {
        html = html.replace(/<A/g, '<A style="text-decoration:none;color: black;"');

        html = ReplaceDivTag(html, 'div_maxHeightBorder', '<div>');

        var htmlBegin = '<html><head><link rel="stylesheet" type="text/css" href="StyleSheet.css" /></head><body>';
        var htmlEnd = '</body></html>';

        var begin = '<div style="font-family:verdana; font-size:7pt; text-decoration:none; color:black" >';
        var end = '<\/div>';
        var WinPrint = window.open('','','left=0,top=0,width=800,height=300,toolbar=0,scrollbars=yes,status=0');
        
        if((navigator.userAgent.indexOf('MSIE') > -1) || (navigator.userAgent.indexOf('Firefox') > -1))
        {
            WinPrint.document.write(htmlBegin + begin + html + end + htmlEnd);
            WinPrint.document.close();
            WinPrint.focus();
            WinPrint.print();
            WinPrint.close();
        }
        else
        {
            //Simple print if browser not IE or FF. 
            var button = '<input type="button" value="Udskriv liste" onclick="javascript:window.print(); window.close();" />';
            WinPrint.document.write(htmlBegin + button + begin + html + end + htmlEnd);
        }
    }

    var mapWin;

    function DisplaySelectedOnMap(mapOption)
    {
        if ((mapWin != null) && (!mapWin.closed))
        {
            if (!confirm('Kortvinduet er allerede åbent!\nLuk vinduet og fortsæt?'))
            {
                return;
            }

            mapWin.close();
        }

        var message = 'Ingen adresser markeret!\nMarkér de adresser du vil have vist på kort og klik igen.';
        var arguments = mapOption;
        var parent;

        try
        {
            parent = document.getElementById('div_adresser').childNodes[1].childNodes[0];
        }
        catch (err)
        {
            alert(message);
            return;
        }

        for (var i = 0; i < parent.childNodes.length; i++)
        {
            var checkBox = parent.childNodes[i].childNodes[0].childNodes[0];

            if (checkBox.checked)
            {
                arguments += '\t' + checkBox.id;
            }
        }

        if (arguments == mapOption)
        {
            alert(message);
            return;
        }

        GetMap(arguments);
    }
   
    function SaveCampaign(orderBy) 
    {
        if(!DateOK(document.getElementById('TextBox_Date').value))
        {
            return;
        }

        var commentsLength = document.getElementById('TextBox_Comments').value.length;
        if (commentsLength > 255)
        {
            alert('Bemærkningen er ' + commentsLength + ' karakterer lang. Den må maks være 255!');
            return;
        }
        
        var camp_seq_no     = document.getElementById('div_camp_seq_no').value;
        var site_seq_no     = document.getElementById('div_site_seq_no').value;
        var visit_date      = document.getElementById('TextBox_Date').value;
        var init            = document.getElementById('TextBox_Init').value;
        var visit_outcome   = document.getElementById('DropDownList_VisitOutcome').value;
        var comments        = document.getElementById('TextBox_Comments').value;

        GetCreateCampaign(site_seq_no + '\t' + visit_date + '\t' + init + '\t' + visit_outcome + '\t' + comments + '\t' + GetListParm(orderBy));
    }

    function SaveCampaignMulti()
    {
        if (!DateOK(document.getElementById('TextBox_DateMulti').value))
        {
            return;
        }

        var commentsLength = document.getElementById('TextBox_CommentsMulti').value.length;
        if (commentsLength > 255)
        {
            alert('Bemærkningen er ' + commentsLength + ' karakterer lang. Den må maks være 255!');
            return;
        }

        var visit_date = document.getElementById('TextBox_DateMulti').value;
        var init = document.getElementById('TextBox_InitMulti').value;
        var visit_outcome = document.getElementById('DropDownList_VisitOutcomeMulti').value;
        var comments = document.getElementById('TextBox_CommentsMulti').value;

        GetCreateCampaignMulti(visit_date + '\t' + init + '\t' + visit_outcome + '\t' + comments);
    }

    function windowopen()
    {
        var open = false;

        if (document.getElementById('div_kampagne_box').style.display == 'block')
        {
            open = true;
        }

        if (document.getElementById('div_quickInspection').style.display == 'block')
        {
            open = true;
        }

        if (document.getElementById('div_kampagne_box_multi').style.display == 'block')
        {
            open = true;
        }

        if (open)
        {
            alert('Et vindue er åbent!\nLuk vinduet og klik igen.');
            return true;
        }

        return false;
    }

    function CloseWindow(winId)
    {
        document.getElementById(winId).style.display = 'none';
        DisableDivElements(document.getElementById('div_main'), false);
    }

    function CloseAllWindows()
    {
        document.getElementById('div_kampagne_box').style.display = 'none';
        document.getElementById('div_kampagne_box_multi').style.display = 'none';
        document.getElementById('div_quickInspection').style.display = 'none';

        DisableDivElements(document.getElementById('div_main'), false);
    }
    
    function GetListParm(orderBy)
    {
        var terminalDate    = document.getElementById('TextBox_TerminalDate').value;
        var color           = document.getElementById('DropDownList_Color').value;
        var sikring         = document.getElementById('DropDownList_Sikring').value;
        var address         = document.getElementById('TextBox_Address').value;
        var postalCode      = document.getElementById('TextBox_Zip').value;
        var town            = document.getElementById('TextBox_Town').value;
        var district = document.getElementById('DropDownList_District').value;
        
        var showAll = '0';
        if (document.getElementById('CheckBox_ShowAll').checked == true) { showAll = '1'; }

        return terminalDate + '\t' + color + '\t' + sikring + '\t' + address + '\t' + postalCode + '\t' + town + '\t' + district + '\t' + showAll + '\t' + orderBy;
    }

    function OnLoad()
    {
        SetPanelHeadRight_AdresseWidth();
        document.getElementById('TextBox_Address').focus();
    }

    function getMyDate()
    {
        var d = new Date();
        var day = d.getDate();
        
        if(day < 10)
        {
            day = "0" + day; 
        }
        
        return day;
    }
    
    function getMyMonth()
    {
        var d = new Date();
        var month = d.getMonth() + 1;
        
        if(month < 10)
        {
            month = "0" + month;
        }
        
        return month;
    }

    function ResetSearch()
    {
        document.getElementById('TextBox_TerminalDate').value = '';
        document.getElementById('DropDownList_Color').selectedIndex = 1;
        document.getElementById('DropDownList_Sikring').selectedIndex = 0;
        document.getElementById('TextBox_Address').value = '';
        document.getElementById('TextBox_Zip').value = '';
        document.getElementById('TextBox_Town').value = '';
        document.getElementById('DropDownList_District').selectedIndex = 0;
        document.getElementById('div_liste_box').style.display = 'none';
        document.getElementById('CheckBox_ShowAll').checked = false;
        document.getElementById('TextBox_TerminalDate').focus();
    }

    function SaveQuickInspection()
    {
        var inspec_date     = document.getElementById('TextBox_InspecDate').value;
        var init            = document.getElementById('TextBox_InspecInit').value;
        var nobody_home     = document.getElementById('DropDownList_InspecNobodyHome').value;
        var site_type_id    = document.getElementById('DropDownList_InspecSiteType').value;
        var infect_type_id  = document.getElementById('DropDownList_InspecInfectType').value;
        var sewer_defect    = document.getElementById('DropDownList_InspecSewerDefect').value;

        var combat_type_id  = document.getElementById('DropDownList_CombatType').value;
        var amount          = document.getElementById('TextBox_CombatAmount').value;
        var type_trap       = document.getElementById('DropDownList_CombatTypeTrap').value;
        var no_traps_set    = document.getElementById('TextBox_CombatNoTrapsSet').value;
        var no_of_depot     = document.getElementById('TextBox_CombatNoOfDepot').value;

        var exam_type_id    = document.getElementById('DropDownList_ExamType').value;
        var ingenRoegproeveAarsag = document.getElementById('DropDownList_IngenRoegproeveAarsag').value;

        var closed = '0';
        if (document.getElementById('Checkbox_ReportClosed').checked) { closed = '1'; }

        var infect_cause_type_id    = document.getElementById('DropDownList_InspecInfectCauseType').value;
        var resident_informed       = document.getElementById('DropDownList_InspecResidentInformed').value;
        var comments                = document.getElementById('TextBox_InspecComments').value;

        if (!DateOK(inspec_date))
        {
            return;
        }

        if (!IsDouble(amount))
        {
            alert('Mængde skal være et tal med , (komma) som decimaltegn\nFx. 10,12');
            return;
        }

        if ((no_traps_set.length != 0) && (!IsInteger(no_traps_set)))
        {
            alert('Antal fælder skal være et heltal');
            return;
        }

        if ((no_of_depot.length != 0) && (!IsInteger(no_of_depot)))
        {
            alert('Antal depoter skal være et heltal');
            return;
        }

        var parms = inspec_date + '\t' + init + '\t' + nobody_home + '\t' + site_type_id + '\t' + infect_type_id + '\t' + sewer_defect + '\t' + combat_type_id + '\t' + amount + '\t' + type_trap + '\t' + no_traps_set + '\t' + exam_type_id + '\t' + closed + '\t' + infect_cause_type_id + '\t' + resident_informed + '\t' + comments + '\t' + ingenRoegproeveAarsag + '\t' + no_of_depot;

        GetSaveQuickInspection(parms);
    }

    function ChangeCheckBoxStatus(obj)
    {
        var parent = document.getElementById('div_adresser').childNodes[1].childNodes[0];

        for (var i = 0; i < parent.childNodes.length; i++)
        {
            parent.childNodes[i].childNodes[0].childNodes[0].checked = obj.checked;
        }
    }

    function RegistreSelectedAsVisitCardDeliveredOrNoRats()
    {
        var message = 'Ingen adresser markeret!\nMarkér de adresser du vil registrere med "Ingen hjemme, besøgskort afleveret" eller "Hjemme, ingen rotter" og klik igen.';
        var parent;
        var arguments = '';

        try
        {
            parent = document.getElementById('div_adresser').childNodes[1].childNodes[0];
        }
        catch (err)
        {
            alert(message);
            return;
        }

        var addressCount = 0;

        for (var i = 0; i < parent.childNodes.length; i++)
        {
            var checkBox = parent.childNodes[i].childNodes[0].childNodes[0];

            if (checkBox.checked)
            {
                arguments += '\t' + checkBox.id;
                addressCount++;
            }
        }

        if (addressCount == 0)
        {
            alert(message);
            return;
        }

        arguments = addressCount + arguments;

        GetNewCampaignMulti(arguments);
    }

    function SetPanelHeadRight_AdresseWidth()
    {
        document.getElementById('panelHeadRight_Adresse').style.width = (parseInt(document.getElementById('panelBody_Adresse').style.width, 10) - parseInt(document.getElementById('panelHeadText_Adresse').offsetWidth, 10) + 2).toString() + 'px';
    }

  </script>

</head>

<body onload="OnLoad()" onmousemove="Body_OnMouseMove(event)" onmouseup="Body_OnMouseUp()" onkeydown="OnKeyDown(event)">
    <form id="form1" runat="server" class="labelHead"> 

    <div id="div_wait" style="display:none; position: absolute; z-index: 2; left:0px; top:0px;"><img src="Images/wait3.gif" alt="" /></div>

    <div id="div_infoBox" class="infoBox" style="display:none; border-right: gray 1px solid; border-top: gray 1px solid; z-index: 1; left: 0px; border-left: gray 1px solid; border-bottom: gray 1px solid; position: absolute; top: 0px; padding-right: 2px; padding-left: 2px; padding-bottom: 2px; padding-top: 2px;"></div>
    <div id="div_infoBoxSikring" class="infoBox" style="display:none; border-right: gray 1px solid; border-top: gray 1px solid; z-index: 1; left: 0px; border-left: gray 1px solid; border-bottom: gray 1px solid; position: absolute; top: 0px; padding-right: 2px; padding-left: 2px; padding-bottom: 2px; padding-top: 2px;"></div>

    <div style="width:902px; height:123px; font-family:Verdana; font-size:8pt; background-image:url(Images/rotte2.jpg);"> <!-- width:652px; -->
        <a href="Rotte_start.aspx" style="float:right; margin-top: 84px; font-size: 8pt; color: white; font-family: Verdana; text-align: right; margin-right: 4px; text-decoration:underline;">Start</a>
        <a id="div_progVers" runat="server" href="Version.txt" target="_blank" style="clear:both; float:right; margin-top: 1px; font-size: 8pt; color: white; font-family: Verdana; text-align: right; margin-right: 4px; text-decoration:none;">Ver. x.x.x</a>
    </div>
 
    <div id="div_main" class="backgroundColor" style="width:881px; border-right: gray 1px solid; border-left: gray 1px solid; border-bottom: gray 1px solid; padding-right: 9px; padding-left: 10px; padding-bottom: 6px; padding-top: 3px;"> <!-- width:631px; -->
    <!-- main start -->     
      
        <div style="float:left; width:8px; margin-top:6px; border-top: black 1px solid; border-left: black 1px solid; height: 6px; "></div>
        <div style=" float:left; width:112px; padding-left: 2px;" >Søgning kampagne</div>
        <div style="float:left; width:756px; border-right: black 1px solid; border-top: black 1px solid; margin-top: 6px; height: 6px;"></div> <!-- width:506px; -->
        <br style="clear:both;" />
    
        <div style="width:868px; border-right: black 1px solid; border-left: black 1px solid; border-bottom: black 1px solid; padding-left: 10px; padding-bottom: 10px; padding-top: 4px; margin-bottom: 4px;"> <!-- width:618px; -->

            <div style="float:left;">
            
                <div style="float:left; width:100px; padding-top:4px; height: 17px;">
                    Skæringsdato:
                </div>
                <div style="float:left; width:189px; padding-top:1px;">
                   <asp:TextBox ID="TextBox_TerminalDate" runat="server" CssClass="textBox" style="width:75px;" MaxLength="10" onchange="IntelligentDate(this)"></asp:TextBox>
                </div>
                <br style="clear:both" />
                            
                <div style="clear:both; float:left; width:100px; padding-top:4px; height:17px">
                   Farvekode:
                </div>
                <div style="float:left; width:189px; padding-top:1px; height:20px">
                   <asp:DropDownList ID="DropDownList_Color" runat="server" CssClass="dropDownList" style="width:79px">
                       <asp:ListItem Value="both">Begge</asp:ListItem>
                       <asp:ListItem Value="r" Selected="True">Røde</asp:ListItem>
                       <asp:ListItem Value="g">Grønne</asp:ListItem>
                   </asp:DropDownList>
                </div>
                <br style="clear:both" />

                <div style="clear:both; float:left; width:100px; padding-top:4px; height:17px">
                   Sikringsordning:
                </div>
                <div style="float:left; width:189px; padding-top:1px; height:20px">
                   <asp:DropDownList ID="DropDownList_Sikring" runat="server" CssClass="dropDownList" style="width:79px">
                       <asp:ListItem Value="both" Selected="True">Begge</asp:ListItem>
                       <asp:ListItem Value="y">Ja</asp:ListItem>
                       <asp:ListItem Value="n">Nej</asp:ListItem>
                   </asp:DropDownList>
                </div>
                <br style="clear:both" />
            
            </div>
            
            <div style="float:left; padding-left:50px;">
            
                <div style="float:left; width:70px; padding-top:4px; height:17px">
                   Distrikt:
                </div>
                <div style="float:left; width:254px; padding-top:1px; height:20px">
                   <asp:DropDownList ID="DropDownList_District" runat="server" CssClass="dropDownList" style="width:248px">
                   </asp:DropDownList>
                </div>
                <br style="clear:both" />

                <div style="float:left; width:70px; padding-top:4px; height:17px;">
                    Adresse:
                </div>
                <div style="float:left; width:254px; padding-top:1px; height:20px;">
                   <asp:TextBox ID="TextBox_Address" runat="server" CssClass="textBox" style="width:244px;"></asp:TextBox>
                </div>
                <br style="clear:both" />

                <div style="float:left; width:70px; padding-top:4px; height:17px;">
                    Postnr/By:
                </div>
                <div style="float:left; width:38px; padding-top:1px; height:20px;">
                    <asp:TextBox ID="TextBox_Zip" runat="server" CssClass="textBox" style="width:30px;" MaxLength="4"></asp:TextBox>
                </div>
                <div style="float:left; width:216px; padding-top:1px; height:20px;">
                    <asp:TextBox ID="TextBox_Town" runat="server" CssClass="textBox" style="width:206px;"></asp:TextBox>
                </div>
                <br style="clear:both" />
            
            </div>
            
            <div style="float:right; padding-right:10px;">
            
                <div>
                    <button class="button" type="button" style="width:80px;" onclick="ResetSearch()">Nulstil</button>
                </div>
                <div style="padding-top:1px;">
                    <button class="button" style="width:80px;" onclick="GetList('rat_campaign.visit_date');return false">Hent</button> <!-- type="submit" -->
                </div>
                <div style="float:left; width:20px; height: 20px; padding-top:1px;">
                    <input id="CheckBox_ShowAll" runat="server" type="checkbox" class="checkBox" />
                </div>
                <div class="label" style="float:left; width:60px; padding-top:4px; height: 18px;">
                    Hent alle
                </div>
                <br style="clear:both"/>
            
            </div>
            <br style="clear:both"/>
        
        </div>

        <div id="div_liste_box" runat="server" style="display:none;">
  
            <div id="panelHeadLeft_Adresse" style="float:left; width:8px; margin-top:6px; border-top: black 1px solid; border-left: black 1px solid; height: 6px; "></div>
            <div id="panelHeadText_Adresse" runat="server" style="float:left; padding-left: 2px; padding-right:2px;" class="labelHead"></div> <!-- width:270px; -->
            <div id="panelHeadRight_Adresse" runat="server" style="float:left; width:598px; border-right: black 1px solid; border-top: black 1px solid; margin-top: 6px; height: 6px;"></div>
            <br style="clear:both;" />

            <div id="panelBody_Adresse" runat="server" style="width:868px; border-right: black 1px solid; border-left: black 1px solid; border-bottom: black 1px solid; padding-left: 10px; padding-bottom: 10px; padding-top: 2px; margin-bottom: 4px;"> <!-- padding-left: 10px; padding-bottom: 10px; padding-top: 2px; margin-bottom: 4px; -->
                <div runat="server" id="div_adresser" style="max-height:199px; overflow:auto"></div>
            </div>
      
            <div style="float:right; height:21px; padding-bottom:2px;">

                <div style="float:left;">
                    <input id="Button_NoRats" type="button" value="Besøgskort afleveret el. ingen rotter" onclick="RegistreSelectedAsVisitCardDeliveredOrNoRats()" class="button" />
                </div>
                <div id="div_Button_DisplayMap" runat="server" style="float:left; display:block;">

                    <div style="float:left;">
                        <input id="Button_DisplayMap" type="button" value="Vis på kort" onclick="DisplaySelectedOnMap('campaign2')" class="button" />
                    </div>
                    <br style="clear:both;" />
                    
                </div>
                <div style="float:left;">
                    <input id="Button6" type="button" value="Udskriv liste" onclick="Print(document.getElementById('div_adresser').innerHTML)" class="button" />
                </div>
                <div style="float:left; padding-top:4px;">
                    <a id="ListLink" runat="server" href="#" target="_blank" style="color:blue;">Download liste</a>
                </div>
                <br style="clear:both;" />
                
            </div>
            <br style="clear:both"/> 

        </div>

        <div id="div_camp_seq_no" style="display:none"></div>
        <div id="div_site_seq_no" style="display:none"></div>

    <!-- main end -->
    </div>

    <!-- Dialog - Kampagne -->

    <div id="div_kampagne_box" style="border: 3px solid #bcd753; display:none; background-color:#bcd753; position:absolute; top:193px; left:104px; z-index: 1; width: 439px; right: 332px;">
  
        <div style="height: 17px;">
            <div style="float:left; height:17px ;width: 15px; z-index:1; background-color:#bcd753"><img src="Images/GEjpg.JPG" alt="" /></div>
            <div style="font-weight:bold; background-color:#bcd753; color:White; height:17px; width:415px; float:left" onmousedown="HelpBox_OnMouseDown(event,'div_kampagne_box')">&nbsp;Kampagne</div>
            <div style="font-weight:bold; height:17px; color:White; background-color:#bcd753; float:left" onclick="CloseWindow('div_kampagne_box')" onmouseover="this.style.cursor='pointer'">X</div>
        </div>

        <div class="backgroundColor" style="border: 1px solid gray; padding: 8px 9px 8px 10px; width:418px; ">

            <div style="width:0px;height:0px;overflow:hidden;" id="div_site_seq_no1"></div>
            <div style="float:left;width:82px; height: 17px; padding-top:4px;" class="labelReadOnly">
                Adresse:
            </div>
            <div style="float:left;width:206px; height:19px; padding-top:2px;">
                <asp:TextBox ID="TextBox_SiteAddress" runat="server" CssClass="textBoxReadOnly" Width="200px" BackColor="#D8E4F8" BorderStyle="None" ReadOnly="True" TabIndex="100"></asp:TextBox>
            </div>
            <div style="float:left;width:35px; height:17px; padding-top:4px;" class="label">
                Dato:
            </div>
            <div style="float:left;width:95px; height:20px; padding-top:1px;">
                <asp:TextBox ID="TextBox_Date" runat="server" CssClass="textBox" Width="90px" BackColor="#E0ECFF" TabIndex="104" onchange="IntelligentDate(this)"></asp:TextBox>
            </div>
            <br style="clear:both" />
            
            <div style="float:left;width:82px; height:17px; padding-top:4px;" class="labelReadOnly">
                Postnr/By:
            </div>
            <div style="float:left;width:206px; height:19px; padding-top:2px;">
                <asp:TextBox ID="TextBox_PostalCodesId" runat="server" CssClass="textBoxReadOnly" Width="30px" BackColor="#D8E4F8" BorderStyle="None" ReadOnly="True" TabIndex="102"></asp:TextBox>
                <asp:TextBox ID="TextBox_PostalCodesName" runat="server" CssClass="textBoxReadOnly" Width="165px" BackColor="#D8E4F8" BorderStyle="None" ReadOnly="True" TabIndex="103"></asp:TextBox>
            </div>
            <div style="float:left;width:35px; height:17px; padding-top:4px;" class="label">
                Init:
            </div>
            <div style="float:left;width:95px; height:20px; padding-top:1px;">
                <asp:TextBox ID="TextBox_Init" runat="server" CssClass="textBox" Width="90px" BackColor="#E0ECFF" TabIndex="105" MaxLength="6"></asp:TextBox>
            </div>
            <br style="clear:both" />
            
            <div style="float:left;width:82px; height:17px; padding-top:4px;" class="label">
                Resultat:
            </div>
            <div style="float:left;width:336px; height:20px; padding-top:1px;">
                <asp:DropDownList ID="DropDownList_VisitOutcome" runat="server" Width="335px" BackColor="#E0ECFF" CssClass="dropDownList" TabIndex="106">
                    <asp:ListItem Value="0">Ingen hjemme, besøgskort afleveret</asp:ListItem>
                    <asp:ListItem Value="1">Hjemme, ingen rotter</asp:ListItem>
                    <asp:ListItem Value="2">Hjemme, rottetilhold</asp:ListItem>
                    <asp:ListItem Value="3">Ingen hjemme, rottetilhold</asp:ListItem>
                </asp:DropDownList>
            </div>
            <br style="clear:both" />
            
            <div style="float:left;width:82px; height:17px; padding-top:4px;" class="label">
                Bemærkning:
            </div>
            <div style="float:left;width:336px; padding-top:1px;">
                <asp:TextBox ID="TextBox_Comments" runat="server" CssClass="textBox" Width="331px" Height="77px" TextMode="MultiLine" BackColor="#E0ECFF" TabIndex="107" MaxLength="255"></asp:TextBox>
            </div>
            <br style="clear:both" />
            
            <div style="float:right; height:21px; padding-top:5px;">
                <button id="Button_SaveCampaign" type="button" onclick="SaveCampaign('')" class="button" tabindex="108" >Gem</button>
                <button id="Button_CancelCampaign" type="button" onclick="CloseWindow('div_kampagne_box')" class="button" tabindex="109">Annuller</button>
            </div>
            <br style="clear:both" />

        </div>

    </div>

    <!-- Dialog - Kampagne - multi -->

    <div id="div_kampagne_box_multi" style="border: 3px solid #bcd753; display:none; background-color:#bcd753; position:absolute; top:193px; left:104px; z-index: 1; width: 439px; right: 332px;">
  
        <div style="height: 17px;">
            <div style="float:left; height:17px ;width: 15px; z-index:1; background-color:#bcd753"><img src="Images/GEjpg.JPG" alt="" /></div>
            <div style="font-weight:bold; background-color:#bcd753; color:White; height:17px; width:415px; float:left" onmousedown="HelpBox_OnMouseDown(event,'div_kampagne_box_multi')">&nbsp;Kampagne</div>
            <div style="font-weight:bold; height:17px; color:White; background-color:#bcd753; float:left" onclick="CloseWindow('div_kampagne_box_multi')" onmouseover="this.style.cursor='pointer'">X</div>
        </div>

        <div class="backgroundColor" style="border: 1px solid gray; padding: 8px 9px 8px 10px; width:418px; ">

            <div style="float:left;width:82px; height: 17px; padding-top:4px;" class="labelReadOnly">
                Antal adr.:
            </div>
            <div style="float:left;width:206px; height:19px; padding-top:2px;">
                <asp:TextBox ID="TextBox_SiteAddressMulti" runat="server" CssClass="textBoxReadOnly" Width="200px" BackColor="#D8E4F8" BorderStyle="None" ReadOnly="True" TabIndex="100"></asp:TextBox>
            </div>
            <div style="float:left;width:35px; height:17px; padding-top:4px;" class="label">
                Dato:
            </div>
            <div style="float:left;width:95px; height:20px; padding-top:1px;">
                <asp:TextBox ID="TextBox_DateMulti" runat="server" CssClass="textBox" Width="90px" BackColor="#E0ECFF" TabIndex="104" onchange="IntelligentDate(this)"></asp:TextBox>
            </div>
            <br style="clear:both" />
            
            <div style="float:left;width:288px; height:17px; padding-top:4px;" class="labelReadOnly">
            </div>
            <div style="float:left;width:35px; height:17px; padding-top:4px;" class="label">
                Init:
            </div>
            <div style="float:left;width:95px; height:20px; padding-top:1px;">
                <asp:TextBox ID="TextBox_InitMulti" runat="server" CssClass="textBox" Width="90px" BackColor="#E0ECFF" TabIndex="105" MaxLength="6"></asp:TextBox>
            </div>
            <br style="clear:both" />
            
            <div style="float:left;width:82px; height:17px; padding-top:4px;" class="label">
                Resultat:
            </div>
            <div style="float:left;width:336px; height:20px; padding-top:1px;">
                <asp:DropDownList ID="DropDownList_VisitOutcomeMulti" runat="server" Width="335px" BackColor="#E0ECFF" CssClass="dropDownList" TabIndex="106">
                    <asp:ListItem Value="0">Ingen hjemme, besøgskort afleveret</asp:ListItem>
                    <asp:ListItem Value="1">Hjemme, ingen rotter</asp:ListItem>
                </asp:DropDownList>
            </div>
            <br style="clear:both" />
            
            <div style="float:left;width:82px; height:17px; padding-top:4px;" class="label">
                Bemærkning:
            </div>
            <div style="float:left;width:336px; padding-top:1px;">
                <asp:TextBox ID="TextBox_CommentsMulti" runat="server" CssClass="textBox" Width="331px" Height="77px" TextMode="MultiLine" BackColor="#E0ECFF" TabIndex="107" MaxLength="255"></asp:TextBox>
            </div>
            <br style="clear:both" />
            
            <div style="float:right; height:21px; padding-top:5px;">
                <button id="Button_SaveCampaignMulti" type="button" onclick="SaveCampaignMulti()" class="button" tabindex="108" >Gem</button>
                <button id="Button_CancelCampaignMulti" type="button" onclick="CloseWindow('div_kampagne_box_multi')" class="button" tabindex="109">Annuller</button>
            </div>
            <br style="clear:both" />

        </div>

    </div>

    <!-- Dialog - Kvik besøg -->

    <div id="div_quickInspection" style="border: 3px solid #bcd753; display:none; background-color:#bcd753; z-index:1; position:absolute; top:193px; left:37px; width:572px;">
        
        <div style="height: 17px;">
            <div style="float:left; height:17px; width:15px; z-index:1; background-color:#bcd753;"><img src="Images/GEjpg.JPG" alt="" /></div>
            <div style="font-weight:bold; background-color:#bcd753; color:White; height:17px; width:547px; float:left" onmousedown="HelpBox_OnMouseDown(event,'div_quickInspection')">&nbsp;Kvik besøg</div>
            <div style="font-weight:bold; height:17px; color:White; background-color:#bcd753; float:left" onclick="CloseWindow('div_quickInspection');" onmouseover="this.style.cursor='pointer'">X</div>
        </div>      
        
        <div class="backgroundColor" style="width:551px; border-right: gray 1px solid; border-left: gray 1px solid; border-bottom: gray 1px solid;  border-top: gray 1px solid; padding-right: 9px; padding-left: 10px; padding-bottom: 8px; padding-top: 8px;">

            <div style="float:left; width:60px; padding-top:4px; height:17px" class="label">
                Dato:
            </div>
            <div style="float:left; width:150px; height:20px; padding-top:1px;">
                <asp:TextBox ID="TextBox_InspecDate" runat="server" CssClass="textBox" Width="70px" BackColor="#E0ECFF" MaxLength="10" onchange="IntelligentDate(this)"></asp:TextBox>
            </div>
            <div style="float:left; width:28px; padding-top:4px; height:17px" class="label">
                Init:
            </div>
            <div style="float:left; width:88px; height:20px; padding-top:1px;">
                <asp:TextBox ID="TextBox_InspecInit" runat="server" CssClass="textBox" Width="54px" BackColor="#E0ECFF" MaxLength="6"></asp:TextBox>
            </div>
            <div style="float:left; width:84px; padding-top:4px; height:17px;" class="label">
                Hjemme:
            </div>
            <div style="float:left; width:51px; height:20px; padding-top:1px;">
                <asp:DropDownList ID="DropDownList_InspecNobodyHome" runat="server" CssClass="dropDownList" Width="50px">
                    <asp:ListItem Value="1" Selected="True">Ja</asp:ListItem>
                    <asp:ListItem Value="0">Nej</asp:ListItem>
                </asp:DropDownList>
            </div>
            <br style="clear:both;" />
                    
            <div style="float:left; width:60px; padding-top:4px; height:17px" class="label">
                Lokalitet:
            </div>
            <div style="float:left; width:266px; height:20px; padding-top:1px;">
                <asp:DropDownList ID="DropDownList_InspecSiteType" runat="server" CssClass="dropDownList" Width="236px"></asp:DropDownList>
            </div>
            <div style="float:left; width:84px; padding-top:4px; height:17px" class="label">
                Kloak defekt:
            </div>
            <div style="float:left; width:141px; height:20px; padding-top:1px;">
                <asp:DropDownList ID="DropDownList_InspecSewerDefect" runat="server" width="140px" CssClass="dropDownList">
                    <asp:ListItem Value="U">?</asp:ListItem>
                    <asp:ListItem Value="I">Ikke undersøgt</asp:ListItem>
                    <asp:ListItem Value="N">Nej</asp:ListItem>
                    <asp:ListItem Value="P">Ja, Privat</asp:ListItem>
                    <asp:ListItem Value="O">Ja, Offentlig</asp:ListItem>
                    <asp:ListItem Value="B">Ja, Privat & Offentlig</asp:ListItem>                    
                </asp:DropDownList>
            </div>
            <br style="clear:both;" />

            <div style="float:left; width:60px; padding-top:4px; height:17px" class="label">
                Befængt:
            </div>
            <div style="float:left; width:266px; height:20px; padding-top:1px;">
                <asp:DropDownList ID="DropDownList_InspecInfectType" runat="server" width="236px" CssClass="dropDownList"></asp:DropDownList>
            </div>
            <br style="clear:both;" />

            <div style="float:left; width:60px; padding-top:4px; height:17px" class="label">
                Årsag:
            </div>
            <div style="float:left; width:266px; height:20px; padding-top:1px;">
                <asp:DropDownList ID="DropDownList_InspecInfectCauseType" runat="server" CssClass="dropDownList" Width="236px"></asp:DropDownList>
            </div>
            <div style="float:left; width:174px; padding-top:4px; height:17px" class="label">
                Beboer informeret om gift:
            </div>
            <div style="float:left; width:51px; height:20px; padding-top:1px;">
                <asp:DropDownList ID="DropDownList_InspecResidentInformed" runat="server" CssClass="dropDownList" Width="50px">
                    <asp:ListItem Value="1">Ja</asp:ListItem>
                    <asp:ListItem Value="0" Selected="True">Nej</asp:ListItem>
                </asp:DropDownList>
            </div>
            <br style="clear:both;" />

            <div style="float:left; width:60px; padding-top:4px; height:17px;" class="label">
                Bemærk:
            </div>
            <div style="float:left; width:487px; padding-top:1px;">
                <asp:TextBox ID="TextBox_InspecComments" runat="server" CssClass="textBox" Width="486px" Height="40px" TextMode="MultiLine" MaxLength="8000"></asp:TextBox>
            </div>
            <br style="clear:both" />

            <div style="float:left; width:126px; height: 17px; padding-top:24px;" class="label">
                Bekæmpelsesmiddel:
            </div>
            <div style="float:left; width:200px; height:20px; padding-top:21px;">
                <asp:DropDownList ID="DropDownList_CombatType" runat="server" CssClass="dropDownList" Width="170px"></asp:DropDownList>
            </div>
            <div style="float:left; width:82px; height: 17px; padding-top:24px;" class="label">
                Mængde:
            </div>
            <div style="float:left; width:54px; height:20px; padding-top:21px;">
                <asp:TextBox ID="TextBox_CombatAmount" runat="server" CssClass="textBox" Width="44px" BackColor="#E0ECFF" MaxLength="10"></asp:TextBox>
            </div>
            <div style="float:left; width:20px; height: 17px; padding-top:24px;" class="label">
                kg.
            </div>
            <br style="clear:both" />

            <div class="label" style="float:left; width:126px; height: 17px; padding-top:4px;">
                Fældetype:
            </div>
            <div style="float:left; width:200px; height:20px; padding-top:1px;">
                <asp:DropDownList ID="DropDownList_CombatTypeTrap" runat="server" CssClass="dropDownList" Width="170px"></asp:DropDownList>
            </div>
            <div style="float:left; width:82px; height: 17px; padding-top:4px;" class="label">
                Antal fælder:
            </div>
            <div style="float:left; width:54px; height:20px; padding-top:1px;">
                <asp:TextBox ID="TextBox_CombatNoTrapsSet" runat="server" CssClass="textBox" Width="44px" BackColor="#E0ECFF" MaxLength="4"></asp:TextBox>
            </div>
            <br style="clear:both" />

            <div class="label" style="float:left; width:326px; height: 17px; padding-top:4px;">
            </div>
            <div style="float:left; width:82px; height: 17px; padding-top:4px;" class="label">
                Antal depoter:
            </div>
            <div style="float:left; width:54px; height:20px; padding-top:1px;">
                <asp:TextBox ID="TextBox_CombatNoOfDepot" runat="server" CssClass="textBox" Width="44px" BackColor="#E0ECFF" MaxLength="4"></asp:TextBox>
            </div>
            <br style="clear:both" />

            <div class="label" style="float:left; width:126px; height: 17px; padding-top:24px;">
                Undersøgelse:
            </div>
            <div style="float:left; width:200px; height:20px; padding-top:21px;">
                <asp:DropDownList ID="DropDownList_ExamType" runat="server" CssClass="dropDownList" Width="170px"></asp:DropDownList>
            </div>
            <br style="clear:both" />

            <div class="label" style="float:left; width:126px; height: 17px; padding-top:4px;">
                Ingen røgprøve:
            </div>
            <div style="float:left; width:425px; height:20px; padding-top:1px;">
                <asp:DropDownList ID="DropDownList_IngenRoegproeveAarsag" runat="server" CssClass="dropDownList" Width="424px"></asp:DropDownList>
            </div>
            <br style="clear:both" />

            <div style="float:left; padding-top:21px;">
                <input id="Checkbox_ReportClosed" type="checkbox" />
            </div>
            <div style="float:left; padding-top:24px; height:17px" class="label">
                Afslut anmeldelsen
            </div>
            <div style="float:right; height:21px; padding-top:20px;">
                <button id="Button_SaveQuickInspection" class="button" type="button" onclick="SaveQuickInspection()">Gem</button>
                <button id="Button_CancelQuickInspection" class="button" type="button" onclick="CloseWindow('div_quickInspection');">Annullér</button>
            </div>
            <br style="clear:both;" />
            
       </div>

    </div>

  </form>
  
  </body>
</html>