﻿<%@ page language="C#" autoeventwireup="true" inherits="_Default, App_Web_9oltcor6" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <link rel="Stylesheet" type="text/css" href="StyleSheet.css" /> 
    <title>GeoEnviron WEB - Rottebekæmpelse</title>
    <link rel="SHORTCUT ICON" href="Images/GEIcon.ico" />

    <script language="javascript" type="text/javascript">
    
    function OnLoad()
    {
        if(document.getElementById('div_main').style.display == 'block')
        {
            document.getElementById('tb_username').focus();
        }
    }

    var mapWin;

    function DisplayMap()
    {
        if ((mapWin != null) && (!mapWin.closed))
        {
            if (!confirm('Kortvinduet er allerede åbent!\nLuk vinduet og fortsæt?'))
            {
                return;
            }

            mapWin.close();
        }

        var procent = document.getElementById('HiddenField_MapSizeProcent').value;
        var x = parseInt((procent * screen.width) / 100);
        var y = parseInt((procent * screen.height) / 100);

        //map_canvas: width:600px height:500px
        //mapWin = window.open('Map.aspx', 'Map', 'width=600, height=500, resizable=0, menubar=0, status=0, scrollbars=0');
        mapWin = window.open('Map.aspx', 'Map', 'width=' + x + ', height=' + y + ', resizable=0, menubar=0, status=0, scrollbars=0');
        mapWin.focus();
    }
    
    </script>
    
</head>
<body onload="OnLoad()">
    <form id="form1" runat="server">

    <div id="div_error" runat="server" style="display:none;"></div>

    <div id="div_main" runat="server" style="display:block;" >    

        <div style="width:652px;" class="backgroundColor">

            <div style="width:652px; height:123px; font-family:Verdana; font-size:8pt; background-image:url(Images/rotte.jpg);">

                <a id="div_progVers" runat="server" href="Version.txt" target="_blank" style="float:right; margin-top: 98px; font-size: 8pt; color: white; font-family: Verdana; text-align: right; margin-right: 4px; text-decoration:none;">Ver. x.x.x</a>

            </div>
                
            <div class="backgroundColor" style="width:631px; border-right: gray 1px solid; border-left: gray 1px solid; border-bottom: gray 1px solid; padding-right: 9px; padding-left: 10px; padding-bottom: 6px; padding-top: 4px;">
            <!-- main form start -->
                <center>
                    <div style="height:9px;"></div>
                    
                    <div id="div_info" runat="server" style="width:263px; border-right: gray 1px solid; border-top: gray 1px solid; border-left: gray 1px solid; border-bottom: gray 1px solid; padding-right: 9px; padding-left: 9px; padding-bottom: 9px; padding-top: 9px; color: white; background-color:Black; display:none; margin-bottom: 14px; text-align:left;">
                       VIGTIGT:<br /><br />Denne version af sitet har direkte integration med den fællesoffentlige rottedatabase og du vil derfor opleve andre krav til validering af indtastede data ved afslutning af en anmeldelse end ved tidligere versioner.<br /><br />Valideringen skal sikre, at anmeldelser bliver indberettet korrekt.
                    </div>
                
                    <div id="div_unknownUser" runat="server" style="width:263px; border-right: gray 1px solid; border-top: gray 1px solid; border-left: gray 1px solid; border-bottom: gray 1px solid; padding-right: 9px; padding-left: 9px; padding-bottom: 9px; padding-top: 9px; color: red; display:none; margin-bottom: 4px;">
                       Ukendt Brugernavn og/eller Adgangskode!
                    </div>
              
                    <div style="padding: 5px 9px 10px 9px; width:263px; border-right:gray 1px solid; border-top:gray 1px solid; border-left: gray 1px solid; border-bottom:gray 1px solid; " class="backgroundColor">
                    
                        <div style="float:left; width:8px; margin-top:6px; margin-left:1px; border-top: black 1px solid; border-left: black 1px solid; height: 6px;"></div>
                        <div style="float:left; width:38px;" class="labelHead">Login</div>
                        <div style="float:left; width:213px; border-right: black 1px solid; border-top: black 1px solid; margin-top: 6px; height: 6px;"></div>      
                        <br style="clear:both" />
                            
                        <div style="width:250px; border-right: black 1px solid; border-left: black 1px solid; border-bottom: black 1px solid; padding-left: 9px; padding-top:2px; height: 73px;">

                            <div style="float:left; width:86px; padding-top:4px; height: 17px; text-align:left;">
                                Bruger-navn:
                            </div>
                            <div style="float:left; width:154px; height: 20px; padding-top:1px; text-align:left;">
                                <asp:TextBox ID="tb_username" runat="server" Width="150px" CssClass="textBox" BackColor="#E0ECFF"></asp:TextBox>
                            </div>
                            <br style="clear:both;" />

                            <div style="float:left; width:86px; padding-top:4px; height: 17px; text-align:left;">
                                Adgangskode:
                            </div>
                            <div style="float:left; width:154px; height: 20px; padding-top: 1px; text-align:left;">
                                <asp:TextBox ID="tb_password" runat="server" Width="150px" CssClass="textBox" BackColor="#E0ECFF" TextMode="Password"></asp:TextBox>
                            </div>
                            <br style="clear:both;" />
                            
                            <div style="float:left; width:86px;">&nbsp;</div>
                            <div style="float:left; width:154px; height: 21px; padding-top: 2px; text-align:left;">
                                <asp:Button ID="btn_login" runat="server" OnClick="btn_login_Click" Text="Login" CssClass="button" Width="68px" />
                            </div>
                            <br style="clear:both;" />
                            
                        </div>
                    
                    </div>

                    <div style="width:281px; padding-top:5px; padding-bottom:5px; color: olive;">
                        Udviklet af Geokon A/S
                    </div>

                    <div id="div_googleMapsButton" runat="server" style="width:281px; padding-top:5px; padding-bottom:5px; display:block;">
                    
                        <div style="float:left; width:200px; padding-top:4px; height: 17px;">
                            Forårs- og efterårskampagner:
                        </div>
                        <div style="float:left;">
                            <input id="btn_displayMap" type="button" value="Vis status" onclick="DisplayMap()" class="button" />
                        </div>
                        <br style="clear:both;" />
                        
                    </div>
                    
                </center>
            <!-- main form slut -->
            </div>
            
        </div>    
            
        <div id="div_connectedTo" runat="server" style="color:Silver; font-size:7pt; font-family:Arial; padding-top:2px;">
            Connected to: NOT CONNECTED
        </div>

    </div>

    <asp:HiddenField ID="HiddenField_MapSizeProcent" runat="server" />
    
    </form>
</body>
</html>
