﻿
//BUTTON FUNCTIONS

function Button_SiteEdit_OnClick()
{
    //Copy values from readonly
    //Open dialog Edit site

    if(windowopen())
    {
        return;
    }
    
    document.getElementById('TextBox_SiteAddressEdit').value        = document.getElementById('TextBox_SiteAddress').value;
    document.getElementById('TextBox_SiteNameEdit').value           = document.getElementById('TextBox_SiteName').value;
    document.getElementById('TextBox_SiteZipEdit').value            = document.getElementById('TextBox_SiteZip').value;
    document.getElementById('TextBox_SiteTownEdit').value           = document.getElementById('TextBox_SiteTown').value;
    document.getElementById('TextBox_SiteEstateNoEdit').value       = document.getElementById('TextBox_SiteEstateNo').value;
    document.getElementById('DropDownList_SiteDistrictEdit').value  = document.getElementById('DropDownList_SiteDistrict').value;
    document.getElementById('DropDownList_SiteFirmEdit').value      = document.getElementById('DropDownList_SiteFirm').value;
    document.getElementById('TextBox_SiteBBRZoneEdit').value        = document.getElementById('TextBox_SiteBBRZone').value;
    document.getElementById('TextBox_SiteBBRUseEdit').value         = document.getElementById('TextBox_SiteBBRUse').value;
    document.getElementById('TextBox_SiteBBRDrainEdit').value       = document.getElementById('TextBox_SiteBBRDrain').value;
    document.getElementById('DropDownList_SiteUseEdit').value       = document.getElementById('DropDownList_SiteUse').value;
    document.getElementById('TextBox_SiteCommentsEdit').value       = document.getElementById('TextBox_SiteComments').value;
    document.getElementById('TextBox_SiteSikringEdit').value        = document.getElementById('TextBox_SiteSikring').value;
    document.getElementById('DropDownList_SiteEjendomstypeEdit').value = document.getElementById('DropDownList_SiteEjendomstype').value;

    document.getElementById('dialog_site').style.display = 'block';
}

function Button_SiteEditSave_OnClick()
{
    //Save edit values to db
    
    var rat_district       = document.getElementById('DropDownList_SiteDistrictEdit').value;
    var ver_firm           = document.getElementById('DropDownList_SiteFirmEdit').value;
    var food_use           = document.getElementById('DropDownList_SiteUseEdit').value;
    var rh_Ejendomstype_Id = document.getElementById('DropDownList_SiteEjendomstypeEdit').value;

    var arguments = rat_district + '\t' + ver_firm + '\t' + food_use + '\t' + rh_Ejendomstype_Id; 
    
    GetSaveSite(arguments);
}

function Button_ReportNew_OnClick()
{
    //Set default report values
    //Open dialog Edit report
    
    if(windowopen())
    {
        return;
    }

    document.getElementById('TextBox_ReportDateEdit').value = GetCurrentDate();
    document.getElementById('TextBox_ReportTimeEdit').value = GetCurrentTime();
    document.getElementById('TextBox_ReportInitEdit').value = document.getElementById('div_init').innerHTML;
    document.getElementById('DropDownList_ReportNameTypeEdit').selectedIndex = 0;
    document.getElementById('DropDownList_ReportClosedEdit').value = '0';

    document.getElementById('DropDownList_ReportSiteTypeEdit').selectedIndex = 0;
    document.getElementById('TextBox_ReportCommentsEdit').value = '';
    
    document.getElementById('TextBox_ReportNameEdit').value = '';
    document.getElementById('TextBox_ReportTelephoneEdit').value = '';
    document.getElementById('TextBox_ReportMobilePhoneEdit').value = '';
    document.getElementById('TextBox_ReportEmailEdit').value = '';
    document.getElementById('DropDownList_ReportContactInformerEdit').value = '0';

    document.getElementById('DropDownList_ReportCaseworkerEdit').selectedIndex = 0;

    document.getElementById('TextBox_ReportVisitDateEdit').value = '';
    document.getElementById('DropDownList_ReportVisitTimeEdit').selectedIndex = 0;

    document.getElementById('dialog_report_headline').innerHTML = "&nbsp;Ny anmeldelse";
    document.getElementById('dialog_report').style.display = 'block';
}

function Button_ReportEdit_OnClick()
{
    //Copy values from readonly
    //Open dialog Edit report

    if(windowopen())
    {
        return;
    }

    if (document.getElementById('HiddenFieldReportEditAllowed').value == 'false')
    {
        if (confirm('Du forsøger at redigere en anmeldelse der er afsluttet hvilket ikke er tilladt.\nForsøg at genåbne anmeldelsen?'))
        {
            GetReopenReport();
        }
    
        //alert('Du forsøger at redigere en anmeldelse der er afsluttet.\nDet er ikke tilladt at redigere i afsluttede anmeldelser, da de er indberettet til den fællesoffentlige rottedatabase.');
        return;
    }

    document.getElementById('TextBox_ReportDateEdit').value = document.getElementById('TextBox_ReportDate').value;
    document.getElementById('TextBox_ReportTimeEdit').value = document.getElementById('TextBox_ReportTime').value;
    document.getElementById('TextBox_ReportInitEdit').value = document.getElementById('TextBox_ReportInit').value;
    document.getElementById('DropDownList_ReportNameTypeEdit').value = document.getElementById('DropDownList_ReportNameType').value;
    document.getElementById('DropDownList_ReportClosedEdit').value = document.getElementById('DropDownList_ReportClosed').value;

    document.getElementById('DropDownList_ReportTypeEdit').value = document.getElementById('DropDownList_ReportType').value;
    document.getElementById('DropDownList_ReportSiteTypeEdit').value = document.getElementById('DropDownList_ReportSiteType').value;
    document.getElementById('TextBox_ReportCommentsEdit').value = document.getElementById('TextBox_ReportComments').value;
    
    document.getElementById('TextBox_ReportNameEdit').value = document.getElementById('TextBox_ReportName').value;
    document.getElementById('TextBox_ReportTelephoneEdit').value = document.getElementById('TextBox_ReportTelephone').value;
    document.getElementById('TextBox_ReportMobilePhoneEdit').value = document.getElementById('TextBox_ReportMobilePhone').value;
    document.getElementById('TextBox_ReportEmailEdit').value = document.getElementById('TextBox_ReportEmail').value;
    document.getElementById('DropDownList_ReportContactInformerEdit').value = document.getElementById('DropDownList_ReportContactInformer').value;

    document.getElementById('DropDownList_ReportCaseworkerEdit').value = document.getElementById('DropDownList_ReportCaseworker').value;

    document.getElementById('TextBox_ReportVisitDateEdit').value = document.getElementById('TextBox_ReportVisitDate').value;
    document.getElementById('DropDownList_ReportVisitTimeEdit').value = document.getElementById('DropDownList_ReportVisitTime').value;

    document.getElementById('TextBox_ReportClosedDateEdit').value = document.getElementById('TextBox_ReportClosedDate').value;

    document.getElementById('dialog_report_headline').innerHTML = "&nbsp;Redigér anmeldelse";
    document.getElementById('dialog_report').style.display = 'block';
}

function Button_ReportEditSave_OnClick()
{
    //Hvis integration til Rottehullet er slået til
    if (document.getElementById('HiddenFieldRHIntegrationEnabled').value == 'true')
    {
        if (document.getElementById('DropDownList_ReportCaseworkerEdit').value.length == 0 && document.getElementById('DropDownList_ReportClosedEdit').value == '1')
        {
            //Ansvarlig skal være udfyldt når anmeldelsen afsluttes!
            alert("Ansvarlig skal være udfyldt når anmeldelsen afsluttes");
            return;
        }

        //Hvis der findes besøg til anmeldelsen og anmeldelsen forsøges afsluttet.
        if ((document.getElementById('block_inspec').style.display == 'block') && (document.getElementById('DropDownList_ReportClosedEdit').value == '1'))
        {
            var list = document.getElementById('list_inspec');

            var totalInspCount = list.childNodes[1].childNodes[0].childNodes.length;
            var notExecInspCount = 0;

            for (var i = 0; i < totalInspCount; i++)
            {
                if (list.childNodes[1].childNodes[0].childNodes[i].childNodes[0].childNodes[5].innerHTML == 'Nej')
                    notExecInspCount++;
            }

            if (notExecInspCount > 0)
            {
                if (!confirm('Du er ved at afslutte en anmeldelse som har ' + notExecInspCount + ' besøg der ikke er udført.\nFortsæt?'))
                    return;
            }
        }
    }

    //Check for valid values!
    if(!DateOK(document.getElementById('TextBox_ReportDateEdit').value))
    {
        return;
    }

    var time = document.getElementById('TextBox_ReportTimeEdit').value;
    if( (time.length > 0) && (!TimeOK(time)))
    {
        return;
    }
    
    if(document.getElementById('DropDownList_ReportNameTypeEdit').value.length == 0)
    {
        alert("Anmeldertype skal være udfyldt");
        return;
    }
   

    if(document.getElementById('DropDownList_ReportSiteTypeEdit').value.length == 0)
    {
        alert("Lokalitet skal være udfyldt");
        return;
    }

    if(document.getElementById('TextBox_ReportNameEdit').value.length == 0)
    {
        alert("Anmelder skal være udfyldt");
        return;
    }

    if(document.getElementById('TextBox_ReportTelephoneEdit').value.length == 0)
    {
        alert("Telefonnummer skal være udfyldt");
        return;
    }
    
    var comment = document.getElementById('TextBox_ReportCommentsEdit').value;
    if(comment.length > 1000)
    {
        alert("Bemærkning må ikke være på mere end 1000 tegn.\nDen indtastede bemærkning er på " + comment.length.toString() + " tegn.");
        return;
    }

    if (document.getElementById('TextBox_ReportVisitDateEdit').value.length > 0)
    {
        if (!DateOK(document.getElementById('TextBox_ReportVisitDateEdit').value))
        {
            return;
        }
    }

    var report_date         = document.getElementById('TextBox_ReportDateEdit').value;
    var report_time         = document.getElementById('TextBox_ReportTimeEdit').value;
    var init                = document.getElementById('TextBox_ReportInitEdit').value;
    var name_type           = document.getElementById('DropDownList_ReportNameTypeEdit').value;
    var closed              = document.getElementById('DropDownList_ReportClosedEdit').value;
    
    var type_id             = document.getElementById('DropDownList_ReportTypeEdit').value;
    var site_type_id        = document.getElementById('DropDownList_ReportSiteTypeEdit').value;
    var comments            = document.getElementById('TextBox_ReportCommentsEdit').value;
    
    var name                = document.getElementById('TextBox_ReportNameEdit').value;
    var telephone           = document.getElementById('TextBox_ReportTelephoneEdit').value;
    var mobile_phone        = document.getElementById('TextBox_ReportMobilePhoneEdit').value;
    var email               = document.getElementById('TextBox_ReportEmailEdit').value;
    var contact_informer    = document.getElementById('DropDownList_ReportContactInformerEdit').value;

    var caseworker          = document.getElementById('DropDownList_ReportCaseworkerEdit').value;

    var visit_date          = document.getElementById('TextBox_ReportVisitDateEdit').value;
    var visit_time          = document.getElementById('DropDownList_ReportVisitTimeEdit').value;

    var parm = report_date + '\t' + report_time + '\t' + init + '\t' + name_type + '\t' + closed + '\t' + type_id + '\t' + site_type_id + '\t' + comments + '\t' + name + '\t' + telephone + '\t' + mobile_phone + '\t' + email + '\t' + contact_informer + '\t' + caseworker + '\t' + visit_date + '\t' + visit_time;

    if(document.getElementById('dialog_report_headline').innerHTML == '&nbsp;Ny anmeldelse')
    {
        GetSaveReport('create' + '\t' + parm);
    }
    else
    {
        GetSaveReport('update' + '\t' + parm);
    }
}

function Button_InspecNew_OnClick()
{
    //Set default inspec values
    //Open dialog Edit inspec
    
    if(windowopen())
    {
        return;
    }

    if (document.getElementById('HiddenFieldReportEditAllowed').value == 'false')
    {
        alert('Du forsøger at oprette et besøg til en anmeldelse der er afsluttet.\nDet er ikke tilladt at redigere i afsluttede anmeldelser, da de er indberettet til den fællesoffentlige rottedatabase.');
        return;
    }

    document.getElementById('TextBox_InspecDateEdit').value = GetCurrentDate();
    document.getElementById('TextBox_InspecTimeEdit').value = GetCurrentTime();
    document.getElementById('DropDownList_InspecExecutedEdit').value = '';      //TRK #179 Default '1' -> ''
    document.getElementById('DropDownList_InspecNobodyHomeEdit').value = '1';   //TRK #313 Default '0' -> '1'
    
    document.getElementById('DropDownList_InspecTypeEdit').selectedIndex = 0;
    document.getElementById('DropDownList_InspecSiteTypeEdit').value = document.getElementById('DropDownList_ReportSiteType').value;
    document.getElementById('DropDownList_InspecInfectTypeEdit').selectedIndex = 1; //TRK 02.05.2011: Default index 0 -> 1. #1666
    
    document.getElementById('TextBox_InspecInitEdit').value = document.getElementById('div_init').innerHTML;
    document.getElementById('DropDownList_InspecGuideEdit').value = '0';
    document.getElementById('DropDownList_InspecEnforceWantedEdit').value = '0';
    document.getElementById('DropDownList_InspecSewerDefectEdit').value = 'U';
    
    document.getElementById('TextBox_InspecCommentsEdit').value = '';

    document.getElementById('DropDownList_InspecInfectCauseTypeEdit').selectedIndex = 0;
    document.getElementById('DropDownList_InspecResidentInformedEdit').value = '0';

    document.getElementById('DropDownList_InspecIngenBekaempelseAarsagEdit').selectedIndex = 0;
    document.getElementById('DropDownList_InspecIngenRoegproeveAarsagEdit').selectedIndex = 0;

    document.getElementById('CheckBox_CreateFollowUpVisit').checked = false;
    document.getElementById('followup_inspec').style.display = 'none';

    document.getElementById('dialog_inspec_headline').innerHTML = "&nbsp;Nyt besøg";
    document.getElementById('dialog_inspec').style.display = 'block';    
}

function Button_InspecEdit_OnClick()
{
    //Copy inspec values from readonly fields
    //Open dialog Edit inspec
    
    if(windowopen())
    {
        return;
    }

    if (document.getElementById('HiddenFieldReportEditAllowed').value == 'false')
    {
        alert('Du forsøger at redigere et besøg der tilhører en anmeldelse der er afsluttet.\nDet er ikke tilladt at redigere i afsluttede anmeldelser, da de er indberettet til den fællesoffentlige rottedatabase.');
        return;
    }

    document.getElementById('TextBox_InspecDateEdit').value                 = document.getElementById('TextBox_InspecDate').value;
    document.getElementById('TextBox_InspecTimeEdit').value                 = document.getElementById('TextBox_InspecTime').value;
    document.getElementById('DropDownList_InspecExecutedEdit').value        = document.getElementById('DropDownList_InspecExecuted').value;
    document.getElementById('DropDownList_InspecNobodyHomeEdit').value      = document.getElementById('DropDownList_InspecNobodyHome').value;
    document.getElementById('DropDownList_InspecTypeEdit').value            = document.getElementById('DropDownList_InspecType').value;
    document.getElementById('DropDownList_InspecSiteTypeEdit').value        = document.getElementById('DropDownList_InspecSiteType').value;
    document.getElementById('DropDownList_InspecInfectTypeEdit').value      = document.getElementById('DropDownList_InspecInfectType').value;
    document.getElementById('TextBox_InspecInitEdit').value                 = document.getElementById('TextBox_InspecInit').value;
    document.getElementById('DropDownList_InspecGuideEdit').value           = document.getElementById('DropDownList_InspecGuide').value;
    document.getElementById('DropDownList_InspecEnforceWantedEdit').value   = document.getElementById('DropDownList_InspecEnforceWanted').value;
    document.getElementById('DropDownList_InspecSewerDefectEdit').value     = document.getElementById('DropDownList_InspecSewerDefect').value;
    document.getElementById('TextBox_InspecCommentsEdit').value             = document.getElementById('TextBox_InspecComments').value;

    document.getElementById('DropDownList_InspecInfectCauseTypeEdit').value  = document.getElementById('DropDownList_InspecInfectCauseType').value
    document.getElementById('DropDownList_InspecResidentInformedEdit').value = document.getElementById('DropDownList_InspecResidentInformed').value

    document.getElementById('DropDownList_InspecIngenBekaempelseAarsagEdit').value = document.getElementById('DropDownList_InspecIngenBekaempelseAarsag').value
    document.getElementById('DropDownList_InspecIngenRoegproeveAarsagEdit').value = document.getElementById('DropDownList_InspecIngenRoegproeveAarsag').value

    document.getElementById('CheckBox_CreateFollowUpVisit').checked = false;
    document.getElementById('followup_inspec').style.display = 'none';

    document.getElementById('dialog_inspec_headline').innerHTML = "&nbsp;Redigér besøg";
    document.getElementById('dialog_inspec').style.display = 'block';    
}

function Button_InspecEditSave_OnClick()
{
    //Check for valid values!

    if(!DateOK(document.getElementById('TextBox_InspecDateEdit').value))
    {
        return;
    }

    var time = document.getElementById('TextBox_InspecTimeEdit').value;
    if ((time.length > 0) && (!TimeOK(time)))
    {
        return;
    }
    
    
    if (document.getElementById('DropDownList_InspecExecutedEdit').value == '')
    {
        alert('Udført skal være udfyldt');
        return;
    }
        
    if(document.getElementById('DropDownList_InspecSiteTypeEdit').value == '')
    {
        alert('Lokalitetssted skal være udfyldt');
        return;
    }
    
    if(document.getElementById('DropDownList_InspecInfectTypeEdit').value == '')
    {
        alert('Befængt skal være udfyldt');
        return;
    }
    
    if (document.getElementById('DropDownList_InspecInfectCauseTypeEdit').value == '')
    {
        alert('Årsag skal være udfyldt');
        return;
    }

    var comment = document.getElementById('TextBox_InspecCommentsEdit').value;
    if (comment.length > 8000)
    {
        alert("Bemærkning må ikke være på mere end 8000 tegn.\nDen indtastede bemærkning er på " + comment.length.toString() + " tegn.");
        return;
    }

    if (document.getElementById('CheckBox_CreateFollowUpVisit').checked == true)
    {
        if (!DateOK(document.getElementById('TextBox_InspecFollowUpDate').value))
        {
            return;
        }

        var timeFollowUp = document.getElementById('TextBox_InspecFollowUpTime').value;
        if ((timeFollowUp.length > 0) && (!TimeOK(timeFollowUp)))
        {
            return;
        }
    }

    var inspec_date             = document.getElementById('TextBox_InspecDateEdit').value;
    var inspec_time             = document.getElementById('TextBox_InspecTimeEdit').value;
    var executed                = document.getElementById('DropDownList_InspecExecutedEdit').value;
    var nobody_home             = document.getElementById('DropDownList_InspecNobodyHomeEdit').value;
    var type_id                 = document.getElementById('DropDownList_InspecTypeEdit').value;
    var site_type_id            = document.getElementById('DropDownList_InspecSiteTypeEdit').value;
    var infect_type_id          = document.getElementById('DropDownList_InspecInfectTypeEdit').value;
    var init                    = document.getElementById('TextBox_InspecInitEdit').value;
    var guide                   = document.getElementById('DropDownList_InspecGuideEdit').value;
    var enforce_wanted          = document.getElementById('DropDownList_InspecEnforceWantedEdit').value;
    var sewer_defect            = document.getElementById('DropDownList_InspecSewerDefectEdit').value;
    var comments                = document.getElementById('TextBox_InspecCommentsEdit').value;
    var infect_cause_type_id    = document.getElementById('DropDownList_InspecInfectCauseTypeEdit').value;
    var resident_informed       = document.getElementById('DropDownList_InspecResidentInformedEdit').value;

    var ingenBekaempelseAarsag = document.getElementById('DropDownList_InspecIngenBekaempelseAarsagEdit').value;
    var ingenRoegproeveAarsag = document.getElementById('DropDownList_InspecIngenRoegproeveAarsagEdit').value;

    var followUpVisit = '0';
    if (document.getElementById('CheckBox_CreateFollowUpVisit').checked == true) { followUpVisit = '1'; }

    var followUpDate = document.getElementById('TextBox_InspecFollowUpDate').value;
    var followUpTime = document.getElementById('TextBox_InspecFollowUpTime').value;

    var parm = inspec_date + '\t' + inspec_time + '\t' + executed + '\t' + nobody_home + '\t' + type_id + '\t' + site_type_id + '\t' + infect_type_id + '\t' + init + '\t' + guide + '\t' + enforce_wanted + '\t' + sewer_defect + '\t' + comments + '\t' + infect_cause_type_id + '\t' + resident_informed + '\t' + ingenBekaempelseAarsag + '\t' + ingenRoegproeveAarsag + '\t17\t18\t19\t' + followUpVisit + '\t' + followUpDate + '\t' + followUpTime;

    if(document.getElementById('dialog_inspec_headline').innerHTML == '&nbsp;Nyt besøg')
    {
        GetSaveInspec('create' + '\t' + parm);
    }
    else
    {
        GetSaveInspec('update' + '\t' + parm);
    }
}

function CheckBox_CreateFollowUpVisit_OnClick()
{
    if (document.getElementById('CheckBox_CreateFollowUpVisit').checked == true)
        document.getElementById('followup_inspec').style.display = 'block';
    else
        document.getElementById('followup_inspec').style.display = 'none';
}

function Button_CombatNew_OnClick()
{
    //Set default combat values
    //Open dialog Edit combat
    
    if(windowopen())
    {
        return;
    }

    if (document.getElementById('HiddenFieldReportEditAllowed').value == 'false')
    {
        alert('Du forsøger at oprette en bekæmpelse til et besøg hvis anmeldelse er afsluttet.\nDet er ikke tilladt at redigere i afsluttede anmeldelser, da de er indberettet til den fællesoffentlige rottedatabase.');
        return;
    }

    document.getElementById('DropDownList_CombatCombatTypeIdEdit').selectedIndex = 0;
    document.getElementById('TextBox_CombatAmountEdit').value = '';

    document.getElementById('DropDownList_CombatDepotEdit').value = '0';
    document.getElementById('TextBox_CombatNoOfDepotEdit').value = '';

    document.getElementById('DropDownList_CombatTypeTrapEdit').selectedIndex = 0;
    document.getElementById('TextBox_CombatNoTrapsSetEdit').value = '';
    
    document.getElementById('TextBox_CombatCommentsEdit').value = '';

    document.getElementById('dialog_combat_headline').innerHTML = "&nbsp;Ny bekæmpelse";
    document.getElementById('dialog_combat').style.display = 'block';    
}

function Button_CombatEditSave_OnClick()
{
    //Check for valid values
    if (document.getElementById('DropDownList_CombatCombatTypeIdEdit').value.length == 0)
    {
        alert("Bekæmpelsesmiddel skal være udfyldt");
        return;
    }

    if (document.getElementById('DropDownList_CombatTypeTrapEdit').value.length == 0)
    {
        alert("Fældetype skal være udfyldt");
        return;
    }

    var combat_type_id  = document.getElementById('DropDownList_CombatCombatTypeIdEdit').value;
    var amount          = document.getElementById('TextBox_CombatAmountEdit').value;
    var depot           = document.getElementById('DropDownList_CombatDepotEdit').value;
    var no_of_depot     = document.getElementById('TextBox_CombatNoOfDepotEdit').value;
    var type_trap       = document.getElementById('DropDownList_CombatTypeTrapEdit').value;
    var no_traps_set    = document.getElementById('TextBox_CombatNoTrapsSetEdit').value;
    var comments        = document.getElementById('TextBox_CombatCommentsEdit').value;

    if ( (amount.length > 0) && (!IsDouble(amount) ) )
    {
        alert('Mængde skal være et tal med , (komma) som decimaltegn\nFx. 10,12');
        return;
    }

    var parm = combat_type_id + '\t' + amount + '\t' + depot + '\t' + no_of_depot + '\t' + type_trap + '\t' + no_traps_set + '\t' + comments; 

    if(document.getElementById('dialog_combat_headline').innerHTML == '&nbsp;Ny bekæmpelse')
    {
        GetSaveCombat('create' + '\t' + parm);
    }
    else
    {
        GetSaveCombat('update' + '\t' + parm);
    }
}

function Button_ExamNew_OnClick()
{
    //Set default exam value
    //Open dialog Edit exam
    
    if(windowopen())
    {
        return;
    }

    if (document.getElementById('HiddenFieldReportEditAllowed').value == 'false')
    {
        alert('Du forsøger at oprette en undersøgelse til et besøg hvis anmeldelse er afsluttet.\nDet er ikke tilladt at redigere i afsluttede anmeldelser, da de er indberettet til den fællesoffentlige rottedatabase.');
        return;
    }

    document.getElementById('DropDownList_ExamExamTypeIdEdit').selectedIndex = 0;

    document.getElementById('dialog_exam_headline').innerHTML = "&nbsp;Ny undersøgelse";
    document.getElementById('dialog_exam').style.display = 'block';    
}

function Button_ExamEditSave_OnClick()
{
    var exam_type_id = document.getElementById('DropDownList_ExamExamTypeIdEdit').value;

    if(document.getElementById('dialog_exam_headline').innerHTML == '&nbsp;Ny undersøgelse')
    {
        GetSaveExam('create' + '\t' + exam_type_id);
    }
    else
    {
        GetSaveExam('update' + '\t' + exam_type_id);
    }
}

function CloseWindow(winId)
{
    document.getElementById(winId).style.display = 'none';
    //DisableDivElements(document.getElementById('div_main'), false);
}